/* global __webpack_public_path__ _PROCESS_ENV_PUNLIC_PATH_ */

/**
 * App入口
 * @author yanrong.tian
 * @date 2020/5/15 14:22:00
 */
import React from 'react';
import { Router, Route, Switch } from 'dva/router';
import MyLayout from './layouts/index';
import routerData from './router';
import { app } from '@/utils/myDva';
import './style.less';

// 2. Model

// 4. Router
app.router(history => {
  const location = history.history.location;
  return (
    <Router history={history.history}>
      <MyLayout location={location}>
        <Switch>
          {routerData.map(config => {
            return (
              <Route
                key={config.path}
                path={config.path}
                render={() => {
                  const Component = config.component;
                  document.getElementsByTagName('title')[0].innerText = config.title;
                  return <Component config={config} history={history.history} />;
                }}
              />
            );
          })}
        </Switch>
      </MyLayout>
    </Router>
  );
});
// 5. Start
app.start('#root');
